package me.hammerle.supersnuvi.entity.components;

import me.hammerle.supersnuvi.entity.Entity;
import me.hammerle.supersnuvi.gamelogic.Level;
import me.hammerle.supersnuvi.util.SoundUtils;

public abstract class Death
{
    public static final Death NULL = new Death() 
    {
        @Override
        public void onDeath(Entity ent) 
        {
        }
    };
    
    public static final Death DROP_BOTTLE = new Death() 
    {
        @Override
        public void onDeath(Entity ent) 
        {
            Level l = ent.getLevel();
            SoundUtils.playSound(SoundUtils.Sound.COLLECT);
            l.increaseSouls(1);
            l.getHero().getHealth().addHealthPercent(0.143);
        }
    };
    
    public abstract void onDeath(Entity ent);
}
